<?php

declare(strict_types=1);

namespace DanielSiepmann\FediverseFeedWrappers\Wrapper;

use DanielSiepmann\FediverseFeedWrappers\WrapperInterface;

class Frontpage implements WrapperInterface
{
    public function contentType(): string
    {
        return 'text/html';
    }

    public function content(): string
    {
        $content = '
            <!doctype html>
            <html>
                <head>
                    <meta charset="utf-8">
                    <title>Fediverse Wrapper by Daniel Siepmann</title>
                </head>
                <body>
                    <h1>Fediverse Wrapper by Daniel Siepmann</h1>
                    <p>This is a small project that allows to wrap other sources to be used by the Fediverse.</p>
                    <p>I use it myself in order to mirror the wrapped feeds from my friendi.ca instance.</p>
                    <p>A list of the TYPO3 mirror accounts is available at: <a href="https://daniel-siepmann.de/typo3-fediverse-news-accounts.html">https://daniel-siepmann.de/typo3-fediverse-news-accounts.html</a>.</p>
                    <p>The repository of the source code is available here: <a href="https://git.daniel-siepmann.de/danielsiepmann/fediverse-feed-wrappers">https://git.daniel-siepmann.de/danielsiepmann/fediverse-feed-wrappers</a>.</p>
                </body>
            </html>
        ';

        $content = str_replace('  ', '', $content);
        $content = trim($content);

        return $content . PHP_EOL;
    }
}
